Subject: bug#50630: [PATCH] Add tests for insert-directory

From: John Cummings <[email-masked]>
Date: Sat, 25 Sep 2021 10:45:08 +0000

Lars Ingebrigtsen <[email-masked]> wrote:

> But this bug report has been closed as fixed, so to avoid your patch
> being lost, can you resubmit it with `M-x submit-emacs-patch' so that it
> gets its own bug number?

I'd be glad to do that, but before I do, let me make sure we're all on
the same page. Earlier in the discussion, it was revealed that this
same bug is present in ls-lisp.el and tramp-sh.el, and I plan to
submit the trivial fixes for those next. (Let me know if the recipes
to confirm those bugs I attached earlier don't work for you.) The
cause of, and fix for, all of them are essentially the same, just
located in 3 different places. Would you prefer to have a bug number
for each of the places where it occurs, or to reopen this one (if
that's something that's done) to hold all the fixes for essentially
the same bug, as well as for the regression tests linked to those
fixes?